uhd_images_downloader(1)

NAME
uhd_images_downloader - USRP Hardware Driver firmware/FPGA downloader

DESCRIPTION
The UHD package is the universal hardware driver for Ettus Research products. The goal of the UHD is to provide a host driver and API for current and future Ettus Research products. Users will be able to use the UHD driver standalone or with 3rd party applications.

This program installs the firmware and FPGA binaries from Ettus Research matching this UHD driver release onto the host system. If the uhd-images package is installed, there is no need to run this installer.

SYNOPSIS
uhd_images_downloader Usage: uhd_images_downloader [options]

OPTIONS
This program works best without any arguments.

  -h, --help show this help message and exit

  --download-location=DOWNLOAD_LOCATION
                        Set custom download location for images,
                        [default=/usr/share/uhd/images]

  --buffer-size=BUFFER_SIZE
                        Set download buffer size, [default=8192]

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

usrp2_card_burner(1) usrp_n2xx_simple_net_burner(1) usrp_x3xx_fpga_burner(1) octoclock_firmware_burner(1)

AUTHOR
This manual page was written by Maitland Bottoms and Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2012-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.